Bug 1351287 - Wrong placement of polish glyph Ogonek
Summary: Wrong placement of polish glyph Ogonek
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 25
Hardware: Unspecified
OS: Windows
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 484497
TreeView+ depends on / blocked
 
Reported: 2016-06-29 15:38 UTC by SebastianRiemer
Modified: 2017-12-12 10:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:35:18 UTC
Type: Bug


Attachments (Terms of Use)

Description SebastianRiemer 2016-06-29 15:38:38 UTC
Description of problem:

The following text when using font "LiberationSans-Regular" renders the polish Ogonek far to the right which does not seem correct when compared to other fonts.

INPUT: "Lektura dla pocza̜tkuja̜cych"

Version-Release number of selected component (if applicable):
version 2.0.0 (Downloaded from https://www.fontsquirrel.com/fonts/liberation-sans)

How reproducible:
Just use the text "Lektura dla pocza̜tkuja̜cych" and the problem should be visible (and see below)

Steps to Reproduce:
1. Go to https://www.fontsquirrel.com/fonts/liberation-sans
2. Go to tab "Test drive"
3. Enter text "Lektura dla pocza̜tkuja̜cych"

Actual results:
The result shows the Ogonek way to the right and AFAIK it should render centered below the letter 'a'.

Expected results:
Compare by same steps as above, but e.g. choose as font: Junicode
(https://www.fontsquirrel.com/fonts/Junicode)

Additional info:
None

Comment 1 Piotr Drąg 2016-07-17 17:25:56 UTC
Are you sure that's the correct letter? When I input "ą" on my pl keyboard I get a correct letter with Liberation fonts - the ogonek is connected to the stem. But the text you provided does look incorrect, both in your comment and when copied to another program.

Comment 2 Jan Kurik 2016-07-26 04:56:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Fedora End Of Life 2017-11-16 19:48:41 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:35:18 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.